'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.request = request;

var _Information = require('./Information');

var _index = require('./index');

//import _ from 'lodash'
/**
 * @param  {} url
 * @param  {} body=null
 * @param  {} hasCert=true
 * @param  {} method='GET'
 */
/**
 * Wrap web srvice process detail 
 */
function request(url) {
  var body = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  var hasCert = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
  var method = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'GET';
  var isJson = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : true;

  var elements = {
    method: method
  };
  if (body !== null) {
    elements.body = body;
  }
  var headers = {
    Accept: 'application/json',
    'Content-Type': 'application/json'
  };

  if (hasCert) {

    if (localStorage.getItem("token")) {
      headers.Authorization = 'JWT ' + localStorage.getItem("token");
    }
  }
  elements.headers = headers;

  return fetch(url, elements).then(function (response) {
    // console.log("Get response:%o", response)
    if (!response.ok) {
      // console.log("Get fail response:%o", response)
      var error = new Error(response.statusText);
      error.response = response;
      throw error;
    }
    return isJson ? response.json() : response.text();
  });
}
// export { request }