/**
 * Wrap web srvice process detail 
 */
import { address, app } from './Information'
import { AppInfo } from './index'

//import _ from 'lodash'
/**
 * @param  {} url
 * @param  {} body=null
 * @param  {} hasCert=true
 * @param  {} method='GET'
 */
export function request(url, body = null, hasCert = true, method = 'GET', isJson = true) {
  let elements = {
    method: method,
  }
  if (body !== null) {
    elements.body = body
  }
  let headers = {
    Accept: 'application/json',
    'Content-Type': 'application/json',
  }
  
  
  if (hasCert) {
   
    if(localStorage.getItem("token")){
       headers.Authorization = 'JWT ' + localStorage.getItem("token")

       
    }
   
    
   
  }
  elements.headers = headers
  
  return (
    fetch(url, elements)
      .then((response) => {
        // console.log("Get response:%o", response)
        if (!response.ok) {
          // console.log("Get fail response:%o", response)
          let error = new Error(response.statusText)
          error.response = response
          throw error
        }
        return isJson ? response.json() : response.text()
      })
  )
}
// export { request }